# Subclipse Changelog

This file documents all of the changes that have been made to Subclipse beginning with the 1.7.0 release process. Please visit http://subclipse.tigris.org/ for the latest information on Subclipse.

The latest version of this file can be viewed directly from our website at http://subclipse.tigris.org/subclipse_1.8.x/changes.html. Please note that the file on the website may contain information about changes that have not yet been made available in a release. Generally, these changes will be available in the next release but it is also possible that a change will be pulled out due to testing problems.

NOTE: As of Subclipse 1.7.0, the minimum Subversion JavaHL requirement is 1.7.0.

NOTE: Subclipse follows an odd/even release numbering convention. The 1.7.x release stream is development builds which will culminate in the official 1.8.0 release. Timing for the 1.8.0 release will ideally be to coincide with Subversion 1.7.

#### Version 1.8.16
August 21, 2012

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.8.16

- Schedule a non-locking job to refresh the status cache rather than doing it from within a resource change listener. (1450)

#### Version 1.8.15
August 15, 2012

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.8.15

- JavaHL binaries updated to Subversion 1.7.6
- Eliminate recursive retrieval of properties from repository when adjusting svn:externals properties to fixed revisions after creating branch from working copy. (1436)
- Fix cleanup action label. (1437)
- Workaround for SVNKit bug that results in Status.isConflicted == false for old format working copies.

#### Version 1.8.14
July 16, 2012

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.8.14

- When Tree view is selected for Changes section of Commit Dialog, do not show the resource tree initially collapsed. (1433)
- Fix History View get next/all revisions so that they work after "Include merged revisions" option is toggled. (1434)
- Remove JDT dependencies.

#### Version 1.8.13
July 5, 2012

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.8.13

- Do not attempt local refresh from move delete hook. (1430)
- Make sure reentrant lock is released if checkin fails. (1432)

#### Version 1.8.12
June 21, 2012

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.8.12

- Fix schedule rule violation after file is locked by file modification validator. (1427)
- Only lock the projects that are being committed during a commit. (1425)
- Don't use SynchronizationStateTester to check for outgoing changes in Working Sets as this can cause updating of the status cache. Instead, check to see if any of the working set projects are dirty. (1424)

#### Version 1.8.11
June 7, 2012

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.8.11

- Set peg revision to revision entered in compare dialog when comparing to branch/tag. (1421)
- Show post-commit hook error messages. (1418)
- Never get status using api when checking to see if folder has dirty children. (1422)
- When comparing to a revision, set right (remote) encoding to match left (local) encoding. (1423)

#### Version 1.8.10
May 29, 2012

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.8.10

- JavaHL binaries for SVN 1.7.5
- SVNKit library updated to latest version
- Refresh status cache for resources that are reverted in the process of generating a diff. (1410)
- Fix SVNActiveChangeSetCollector to ignore derived resources. (1411)
- Enable Override and Update for outgoing deletions. (1413)

#### Version 1.8.9
May 1, 2012

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.8.9

- Fix Compare SVN Properties when project name does not match repository location. (1407)
- Fix Compare with Base Revision to not show hidden resources as local deletions. (1406)
- Only read status from cache once when getting URL for LocalResource.
- Optimizations to context menu option enablement to avoid repeated reading of status cache.
- Fix potential NPEs in finally blocks when client adapter has not been instantiated. (1408)
- Fix potential loop when refreshing status cache. (1402)
- Do not show changes in Sync view if they are hidden by resource filters. (1409)

#### Version 1.8.8
April 17, 2012

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.8.8

- Fix NPE during status update. (1392)
- Do not get remote properties recursively. (1393)
- Fix exclusion of deletions that are hidden by resource filters during commit, sync. (1383)
- Compare SVN Properties option for resources, sync view items, SVN Repositories view remote resources. (1391)
- Add a preview section to the Generate ChangeLog dialog. (1397)
- Don't do a recursive revert if there are modified resources that are hidden by resource filters. (1398)
- Get status from cache when checking to see if resource is ignored. (1402)
- Don't auto-commit when Shift-Enter is pressed in the commit dialog's comment area. (1404)

#### Version 1.8.7
March 15, 2012

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.8.7

- Undo change to condition refresh after Update based on notification of revision,as this change breaks refresh when there are mixed revisions. (1375)
- Reliable filtering of child folders. (1375)
- Disable "Revert changes from revision X" history view option for first revisions. (1381)
- Add SVNSynchronizeParticipant as a property change listener during init rather than in the constructor. (1380)
- Added "Ignore managed derived resources" preference. (535)
- Fix scheduling rule problem when doing a revert on a project that causes changes in nested project to be reverted. (1387)

#### Version 1.8.6
March 9, 2012

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.8.6

- JavaHL updated to Subversion 1.7.4.
- SVNKit 1.7.0 updated to Beta3.
- Prompt to upgrade working copy when a project from an SVN 1.6.x working copy is imported. (1347)
- Fix revert of added folders to correctly refresh decorator. (1372)
- Fix "Compare with latest from Repository" for project, when project name is not the same as repository folder name. (1374)
- Fix Sync view refresh after file system deletions. (1369)
- Fix OperationManager to eliminate unnecessary refreshes. (1375)
- Do not pass resource deltas to another thread. (1378)

#### Version 1.8.5
February 13, 2012

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.8.5

- JavaHL updated to Subversion 1.7.3.
- Fix error when trying to checkout a project that already exists in the workspace to a new location when the existing project is closed and has no .project file. (1350)
- Make sure to end operation when checkout fails with an error. (1351)
- Validate file name before attempting to create patch. (1352)
- Improvements to folder compare from history view. (1341)
- Fix sync view to show file system deletions. (1318)
- If resource not found at HEAD revision, start looking at last known revision. (1356)
- If "Ignore changes to hidden resources" preference is true, then do not include resources that have been filtered out using Resource Filters when doing a commit, revert or synchronize. (1321)
- Expose ignore ancestry for switch. (1358)
- Do not contact contact repository when determining if all selected resources are from the same repository. (1366)
- Improvements to multiple project sharing. (1371)

#### Version 1.8.4
December 5, 2011

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.8.4

- JavaHL updated to Subversion 1.7.2.
- Automatically refresh current revision in history view when history review resource is updated. (1338)
- Checkout project to custom location. (1339)
- Null-proof change set collector. (1345)
- Do not do a recursive revert when selection is from a change set. (1346)
- Don't do recursive revert if selection includes externals. (1346)
- Refresh status cache after lock/unlock. (1344)
- Make sure scheduling rule used for repository operations accounts for nested projects. (1348)

#### Version 1.8.3
November 21, 2011

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.8.3

- Fix Commit dialog so that unversioned decorator is not incorrecly applied to deletes.
- Fix NPE when trying to revert Change Set. (1326)
- Fix local refresh of subfolders after Cleanup.
- Fix NPE when updating with "local unversioned, incoming add" conflicts. (1333)
- Date format preference for label text decorations. (1177,1332)
- Use SelectionListener on Tree rather than SelectionChangedListener on TreeViewer. (1327)
- Fix project/folder decoration to indicate that it is dirty if there are hidden, versioned children that are dirty. (1335)
- Add a preference to ignore hidden resources. (1335)
- Fix problem with caching of HEAD revision contents of remote file. (1334)
- Fix refresh of Sync view after update. (1336)
- Correctly set project location for new Eclipse project after checkout to a custom location. (1339)

#### Version 1.8.2
October 25, 2011

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.8.2

- Fix bug where Subclipse could delete .svn folder in parent of Eclipse projects.
- Do not show files and folders as outgoing deletions in the Sync view if they have not actually been deleted but are just filtered using Eclipse resource filters. (1321)

#### Version 1.8.1
October 23, 2011

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.8.1

- JavaHL Win32/Win64 binaries from SVN 1.7.1
- Check for test mode before putting up modal dialogs.
- Look for commit comment properties by starting at selected resource and working up through ancestors. (1317)
- Catch all exceptions when calling out to SynchronizationStateTester from decorator. (1315)
- Fix sync view to include deletions made from file system. (1318)
- Eliminate a NPE in LocalResource.getUrl. (1319)

#### Version 1.8.0
October 17, 2011

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.8.0

- JavaHL Win32/Win64 binaries from SVN 1.7.0 GA
- Check for test mode before putting up modal dialogs.
- Fix revert from Sync view to revert recursively if nothing was removed from revert dialog. (1303)
- Fix NPE trying to compare a new incoming file from sync view. (1312)
- Enable cancellation of Synchronize job.

#### Version 1.7.5
September 13, 2011

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.7.5

- JavaHL Win32/Win64 binaries from SVN 1.7.0-rc3
- Fix display of log messages with non-ASCII characters. (1299)
- Properly encode to URI format before passing URL to API. (1298)
- When file encoding is not known, tell Eclipse compare UI it is UTF8.
- Fix error handling in repository browse dialog. (1301)

#### Version 1.7.4
September 6, 2011

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.7.4

- Fixed missing VS 2010 DLL's with JavaHL
- Support for mine-conflict, theirs-conflict conflict resolution.
- Fix NPE in String initialization when revprops author or message is null.

#### Version 1.7.3
August 30, 2011

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.7.3

- JavaHL Win32/Win64 binaries from SVN 1.7.0-rc2
- Fix NPE trying trying to branch/tag from working copy with multiple resources selected.
- Option to pin external revisions when creating branch from working copy. (1294)
- Refresh new project locally after checkout using New Project Wizard.
- Support interactive conflict resolution for Update/Switch operations (1295)
- Refresh local status cache after Cleanup operation.
- Notify the resource tree of the deleted folder so that proper notifications will be sent.
- Fix refresh of synchronize view after commit of folder deletion.
- Force refresh of parent folder decorator after deletion.
- Include phantoms when asking eclipse for folder. (1297)
- Fix Sync view refresh after commit of deleted folders.
- Fix status cache refresh after folder added.

#### Version 1.7.2
August 10, 2011

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.7.2

- JavaHL binaries from SVN 1.7.0-beta3
- Addition of JavaHL Windows 64-bit binaries
- Fix drag/drop, copy/paste over existing file so that target file does not end up as a scheduled delete. (1275)
- Fix missing borders in affected paths tables. (1257)
- When showing annotation, check for already open editor on resource that implements ITextEditorExtension4 (showRevisionInformation) rather the more specific AbstractDecoratedTextEditor. (1282)
- When resolving a "local add, incoming add upon merge" tree conflict, include the option to compare the working copy with merge source and optionally resolve the tree conflict when the compare editor is closed.. (1279)
- Fix suggestMergeSources. It was always returning an empty array.
- "Suggest merge sources" preference. (1250)
- Checkout project and then create/open project over the checkout, rather than vice versa, to ensure that resource delta is not fired when project is in an invalid state.(1201)
- When multiple projects checked out, defer opening them all until all of them are checked out. (1201)
- Friendly handling of failures to write to temp directory when opening a file in an external editor from the Repositories View. (1135)
- If project cannot be deleted due to locks on SQLite database, use SVNMoveDeleteHook to show a meaningful error message and cancel the project deletion.
- If compare pane is open in commit dialog, then automatically populate it when selection changes. Likewise, if a file is selected when compare pane is opened, then automatically populate it. (1265)
- Truncate cached log messages for revision graph at 64K to work around Java limitation. (1289)
- Don't prompt to save dirty files if they are not related to the operation. (1290)
- When checking out a specific revision, check to see if the location has changed in the repository and adjust the URL if it has. (1274)
- Fix error when viewing revision of a deleted file from history view. (1267)
- Fix history view compare problem when comparing revisions from before branch was created. (1248)
- When switching to a specific revision, use that revision as the peg revision. (1291)
- Fix scheduling rule error in move delete hook when resolving a tree conflict and selecting option to delete a resource. (1230)

#### Version 1.7.1
July 20, 2011

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.7.1

- JavaHL binaries from SVN 1.7.x branch @ r1148902
- Fix typo in working copy upgrade message. (1284)
- Working copy upgrade notification message. (1284)
- Refresh target of update operation. (1285)
- Auto share imported project if it lives inside a working copy. (1286)

#### Version 1.7.0
July 15, 2011

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.7.0

- JavaHL binaries for Subversion 1.7.0-beta1
- New Upgrade option to upgrade working copy to 1.7 format.
- Support for changes in SVN 1.7 working copy design.